<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@2000C2=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@2002F5=0F</action>
      <action>maincpu.pb@2002F4=27</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@200608=04</action>
      <action>maincpu.pb@200609=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@200675=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@20060A=04</action>
      <action>maincpu.pb@20060B=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@200677=02</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Region"> <comment>After you enable this region cheat to see any effect you may have to reset the game (F3).</comment>
    <parameter>
      <item value="0x01">Japan</item>
      <item value="0x02">US</item>
      <item value="0x03">World</item>
    </parameter>
    <script state="on">
      <action>temp0 =maincpu.mb@0FFFFF</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0FFFFF=param</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0FFFFF=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
